For the complete documentation index, see llms.txt. This page is also available as Markdown.

/gateways/{eui64}/status

Returns the status of a specific device. The response includes the MQTT connection status and the timestamp of the last update.

get
Authorizations
x-api-keystringRequired
Path parameters
eui64stringRequired

The EUI64 of the device in hexadecimal format.

Example: 000d6f000011bcb3
Responses
200

Successful operation

application/json
statusstring · enumRequired

The MQTT connection status of the device.

  • SUCCESS: The device is connected to the platform.
  • DISCONNECTED: The device is disconnected from the platform due to an unknown reason.
  • AUTH_ERROR: The device is disconnected from the platform due to an authentication or authorization error.
  • CLIENT_INITIATED_DISCONNECT: The device is disconnected from the platform due to a client-initiated disconnect.
  • CLIENT_ERROR: The device is disconnected from the platform due to a client error.
  • CONNECTION_LOST: The device was disconnected from the platform due to a loss of the client-server connection. This can happen during a period of high network latency or when the internet connection is lost.
  • DUPLICATE_CLIENTID: The device is disconnected from the platform because another device with the same client ID is already connected.
  • FORBIDDEN_ACCESS: The device is not allowed to be connected.
  • MQTT_KEEP_ALIVE_TIMEOUT: If there is no client-server communication for 1.5x of the client's keep-alive time, the device is disconnected.
  • SERVER_ERROR: The device is disconnected from the platform due to an unexpected server issue.
  • SERVER_INITIATED_DISCONNECT: The server has intentionally disconnected the device for operational reasons.
  • THROTTLED: The device is disconnected from the platform for exceeding a throttling limit.
  • WEBSOCKET_TTL_EXPIRATION: The device is disconnected from the platform because a WebSocket has been connected longer than its time-to-live value.
  • CUSTOMAUTH_TTL_EXPIRATION: The device is disconnected from the platform because it has been connected longer than the time-to-live value of its custom authorizer.
Possible values:
last_updateinteger · int64Required

The timestamp (in milliseconds) of the last update of the device's status.

get/gateways/{eui64}/status
GET /v2/gateways/{eui64}/status HTTP/1.1
Host: device-management.n2g-dev.net
x-api-key: YOUR_API_KEY
Accept: */*
{
  "status": "SUCCESS",
  "last_update": 1723448087160
}

Last updated

Was this helpful?